commit: 1b8b2c1c3e12c6e317236fe177f37a5c213e3286
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 4 16:14:44 2020 +0000
Commit: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Mar 4 16:22:02 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b8b2c1c
app-crypt/acme: 1.3.0 bump
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>
app-crypt/acme/Manifest | 1 +
app-crypt/acme/acme-1.3.0.ebuild | 69 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 70 insertions(+)
diff --git a/app-crypt/acme/Manifest b/app-crypt/acme/Manifest
index 83258bc9a67..145c023cdfb 100644
--- a/app-crypt/acme/Manifest
+++ b/app-crypt/acme/Manifest
@@ -1,2 +1,3 @@
DIST certbot-1.1.0.tar.gz 1346768 BLAKE2B
5c86edec3102ce0eb822465458ec86cbc98eb5e76c3c582d8a72ecab91e709f16e7a1576c684bc04bfd0c70918f34e84e0b3b264f949a1fb9bf9503fa9d6b179
SHA512
905b21a8a50b4df4eb92b464d10dec094ba4e7f5eaf3ad3dae1704a794952df6b51873ca919246a9b6698fd652a7c264efc742617ba0a25757ab99397759c343
DIST certbot-1.2.0.tar.gz 1354262 BLAKE2B
1abdf4cb99ecdac6b9b8d2ebdd6897a3182a147f0175e2db4c6b0feaa3f6c615ee3146dd63627a83266c223456c5aba44b018be4059574d0209aec89065d9925
SHA512
ed52a31a71b3762b8cd217ea2784d9cb01f7c1a50cef3b7e0d99483ca3ab623b90ab7d4896674e0d1c06e2e8370c02162418d934de7d3048b0471416616146fe
+DIST certbot-1.3.0.tar.gz 1362945 BLAKE2B
bb36a7737275332f018d7f2283286e07e041892cc366f79e68df9eee7e57ca2186d36895d1923b032068a365878d09e49e17c1399a7418dbd8607c9a7efc1c26
SHA512
4205cdd1f3ddf500b9b952744db234636c086a856df80acd2d776305f4501eed07995e453e5c9b2c711fb0d1f1987d2bb8baaa13fccce8e000a38f486cfdc5d3
diff --git a/app-crypt/acme/acme-1.3.0.ebuild b/app-crypt/acme/acme-1.3.0.ebuild
new file mode 100644
index 00000000000..4aaf884c944
--- /dev/null
+++ b/app-crypt/acme/acme-1.3.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=(python{3_6,3_7,3_8})
+
+if [[ ${PV} == 9999* ]]; then
+ EGIT_REPO_URI="https://github.com/certbot/certbot.git"
+ inherit git-r3
+ S=${WORKDIR}/${P}/${PN}
+else
+ SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz ->
certbot-${PV}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+ S=${WORKDIR}/certbot-${PV}/acme
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="An implementation of the ACME protocol"
+HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/cryptography-1.3.4[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/josepy-1.1.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.13.1[${PYTHON_USEDEP}]
+ dev-python/pyrfc3339[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.10[${PYTHON_USEDEP}]
+ >=dev-python/requests-toolbelt-0.3.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+ doc? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+ )
+ test? (
+ ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+ >=dev-python/setuptools-1.0[${PYTHON_USEDEP}]
+"
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+ if use doc ; then
+ cd docs || die
+ sphinx-build -b html -d _build/doctrees . _build/html
+ fi
+}
+
+python_test() {
+ nosetests -w ${PN} || die
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+
+ distutils-r1_python_install_all
+}